﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Persistence;
using System.IO;
using System.Diagnostics;
using Infragistics.Controls.Grids;
using Infragistics.Persistence.Primitives;
using System.Xml;
using System.Text;
using System.Windows.Markup;

namespace xamGrid
{
    public partial class MainPage : UserControl
    {
        SelectedRowsCollection _selectedRowsCollection;
        SelectedRowsCollection _previouslySelectedItems;
        bool _selectionChanged;

        public MainPage()
        {
            InitializeComponent();

        }

        void button_Click(object sender, RoutedEventArgs e)
        {
            
        }

        void textBlock_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            
        }

        private void MyGrid_SelectedRowsCollectionChanged(object sender, SelectionCollectionChangedEventArgs<SelectedRowsCollection> e)
        {
            SelectedRowsCollection selectedRowsToAdd = new SelectedRowsCollection();
            foreach (Row newSelectedRow in e.NewSelectedItems)
            {
                foreach (Row previousSelectedRow in e.PreviouslySelectedItems)
                {
                    if (previousSelectedRow != newSelectedRow)
                    {
                        selectedRowsToAdd.Add(previousSelectedRow);
                    }
                    else
                    {
                        if (MyGrid.ActiveCell.Row == previousSelectedRow)
                        {
                            e.NewSelectedItems.Remove(previousSelectedRow);
                        }
                    }
                }
            }
            e.NewSelectedItems.AddRange(selectedRowsToAdd);
            _selectedRowsCollection = e.NewSelectedItems;
            _selectionChanged = true;
        }

        private void MyGrid_CellClicked(object sender, CellClickedEventArgs e)
        {
            if (_selectedRowsCollection.Count == 1)
            {
                if (!_selectionChanged)
                {
                    _selectedRowsCollection.Clear();
                }
            }
            _selectionChanged = false;
        }
    }
}
